Gattaca Server 2003 view2.tmpl text Variable XSS

2003-07-10T00:00:00
ID OSVDB:8147
Type osvdb
Reporter Gregory Le Bras(gregory.lebras@security-corporation.com)
Modified 2003-07-10T00:00:00

Description

Vulnerability Description

Gattaca Server 2003 contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate 'text' variables upon submission to the 'view2.tmpl' script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

Solution Description

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

Short Description

Gattaca Server 2003 contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate 'text' variables upon submission to the 'view2.tmpl' script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

Manual Testing Notes

http://[victim]/view2.tmpl?text=[evil_code]

References:

Vendor URL: http://www.gattaca-server.com/ Security Tracker: 1007166 Related OSVDB ID: 8145 Related OSVDB ID: 8144 Related OSVDB ID: 8146 Other Advisory URL: http://www.security-corporation.com/advisories-019.html Mail List Post: http://archives.neohapsis.com/archives/bugtraq/2003-07/0128.html ISS X-Force ID: 12576 Bugtraq ID: 8162